## r-pdl 0.2-2

=== Rsource/R-0.61.2/etc/Makefile ===
## ${RHOME}/etc/Makefile

TESTS   = ../tests
Ex_Tests = $(TESTS)/Examples
CleanMe1 = SHLIB COMPILE INSTALL REMOVE
CleanMe2 = Rdconv Rdindex Rman2Rd Sd2Rd
CleanMe3 = build-help build-htmlpkglist help.pretty html2dos
CleanMe  = $(CleanMe1) $(CleanMe2) $(CleanMe3)

MANSRC = ../src/library/*/man/*.Rd
MANbaseDIR = ../src/library/base/man
MANdest= ../doc/manual

##--------------------------------- TARGETS ------------------------------
DVI = $(MANdest)/Man.dvi

build-help: stamp-help
build-html: stamp-html
build-latex: stamp-latex $(DVI)
build-docs: stamp-docs $(DVI)
tests: test-Examples

test-Examples: $(Ex_Tests)
	@cp -p Makefile-test-Ex $(Ex_Tests)/Makefile
	-(cd $(Ex_Tests); make $@)

stamp-help: $(MANSRC)
	@echo "Building ALL help pages"
	./build-allhelp
	@touch $@

stamp-html: $(MANSRC)
	@echo "Building R Base Reference Manual (in HTML)"
	./build-allhtml
	@touch $@

#stamp-latex: $(MANbaseDIR)/*.Rd
stamp-latex: $(MANSRC)
	@echo "Building R Base Reference Manual (in LaTeX/dvi)"
	./build-alllatex
	@touch $@

stamp-docs: $(MANSRC)
	@echo "Building ALL documentation (help, HTML, LaTeX)"
	./build-alldocs
	@touch $@
	@touch stamp-help
	@touch stamp-html
	@touch stamp-latex

$(DVI): stamp-latex
	-(cd $(MANdest); make Man.dvi)

$(Ex_Tests):
	@if [ ! -d $@ ]; then mkdir -p $@ ; fi

clean:
	-(cd $(MANdest); make $@)
	@-(cd $(Ex_Tests) && make $@)

moreclean: clean
	@rm -f $(CleanMe1)

distclean realclean:
	@rm -fr $(CleanMe) $(Ex_Tests)
	@rm -f stamp-*

=== Rsource/R-0.61.2/demos/dynload/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -fpic
LD=ld
SHLIBLDFLAGS=-shared

all:		zero.so

zero.so:	zero.o
		$(LD) $(SHLIBLDFLAGS) zero.o -o zero.so

zero.o:		zero.c
		$(CC) $(CFLAGS) -c zero.c

clean:
		@rm -f *.o *.so

realclean:
		@rm -f Makefile *.o *.so

=== Rsource/R-0.61.2/src/appl/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
FC=
FFLAGS=
AR=ar
RANLIB=ranlib
BLAS=blas.o zblas.o

OBJ= \
	approx.o \
	bakslv.o \
	binning.o \
	$(BLAS) \
	ch2inv.o \
	chol.o \
	cpoly.o \
	cumsum.o \
	distance.o \
	dpoco.o \
	dpodi.o \
	dpofa.o \
	dposl.o \
	dqrdc.o \
	dqrdc2.o \
        dqrls.o \
	dqrsl.o \
	dqrutl.o \
	dsvdc.o \
	dtrsl.o \
	eigen.o \
	fortran.o \
	fft.o \
	fmin.o \
	lminfl.o \
	lowess.o \
	machar.o \
	massdist.o \
	pretty.o \
	splines.o \
	stem.o \
	strsignif.o \
	tabulate.o \
	uncmin.o \
	zeroin.o

LIB=		../lib/libappl.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

clean:
		@echo cleaning in appl
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in appl
		@-rm -f *.o *.a Makefile
		@-rm -f `(cd ../appl.c ; ls *.c)`
		@-rm -f `(cd ../appl.f ; ls *.f)`

=== Rsource/R-0.61.2/src/front/Makefile ===
install: R.sh
	@echo creating front-end shell script
	@cat R.sh | (cd ../.. ; sed "s@RHOME=.*@RHOME=`pwd`@" > bin/R)
	@chmod +x ../../bin/R

realclean:
	@echo cleaning in front
	@rm -f R.sh

=== Rsource/R-0.61.2/src/graphics/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib

OBJS=	gdevice.o \
	graphics.o

LIB=	../lib/libgraphics.a

$(LIB):	$(OBJS)
	$(AR) cr $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

$(OBJS):	../include/Graphics.h
gdevice.o:	../include/Platform.h

clean:
		@echo cleaning in graphics
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in graphics
		@-rm -f *.o *.a Makefile

=== Rsource/R-0.61.2/src/library/Makefile ===
all:
	@cd base; make
	@cd profile; make

libs:
	@echo Building application libraries..
	@sh LIBSETUP

clean:
	@echo Cleaning in library..
	@sh LIBCLEAN
realclean: clean
	@rm LIBCLEAN

=== Rsource/R-0.61.2/src/main/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
LDCMD=gcc
DLLFLAGS=-rdynamic
PICFLAGS=-fpic
SHLIBLDFLAGS=-shared
LIBS=-lf2c -ldl -lreadline -lncurses -lm 
X_CFLAGS= -I/usr/X11R6/include
X_LIBS= -L/usr/X11R6/lib -lX11
X_EXTRA_LIBS=
X_PRE_LIBS= -lSM -lICE
FC=
YACC=bison -y

RLIBS=	\
		../lib/libgraphics.a \
		../lib/libunix.a \
		../lib/libappl.a \
		../lib/libmath.a

OBJS=		arithmetic.o \
		array.o \
		attrib.o \
		bind.o \
		builtin.o \
		character.o \
		coerce.o \
		colors.o \
		complex.o \
		context.o \
		cov.o \
		cum.o \
		dataframe.o \
		debug.o \
		deparse.o \
		deriv.o \
		dotcode.o \
		dstruct.o \
		duplicate.o \
		envir.o \
		errors.o \
		eval.o \
		format.o \
		fourier.o \
		iosupport.o \
		gram.o \
		list.o \
		logic.o \
		main.o \
		match.o \
		memory.o \
		model.o \
		names.o \
		objects.o \
		optimize.o \
		options.o \
		par.o \
		paste.o\
		plot.o \
		plot3d.o \
		plotmath.o \
		print.o \
		printarray.o \
		printvector.o \
		printutils.o \
		random.o \
		relop.o \
		saveload.o \
		scan.o \
		seq.o \
		sort.o \
		source.o \
		split.o \
		subassign.o \
		subscript.o \
		subset.o \
		summary.o \
		unique.o \
		util.o \
		version.o


R.binary:	$(OBJS) $(RLIBS)
		$(LDCMD) $(DLLFLAGS) -o R.binary $(OBJS) $(RLIBS) $(X_PRE_LIBS) $(X_LIBS) $(X_EXTRA_LIBS) $(LIBS)


install:	R.binary
		@cp R.binary ../../bin
		@echo R binary installed

$(OBJS):	../include/Defn.h

tags:		*.h *.c
		ctags *.h *.c

gram.c:		gram.y
		$(YACC) gram.y
		mv y.tab.c gram.c

clean:
		@echo cleaning in main
		@-rm -f R.binary R-Image *core *.o

realclean:        
		@echo cleaning in main
		@-rm -f Makefile R.binary R-Image *core *.o

dotcode.o:	../include/FFDecl.h ../include/FFTab.h

colors.o:	../include/Graphics.h
par.o:		../include/Graphics.h
plot.o:		../include/Graphics.h
plot3d.o:	../include/Graphics.h

arithmetic.o:	../include/Mathlib.h
random.o:	../include/Mathlib.h

deparse.o:	names.h
names.o:	names.h
printArray.o:	../include/Print.h
printMatrix.o:	../include/Print.h
printScalar.o:	../include/Print.h
printVector.o:	../include/Print.h
sprintScalar.o:	../include/Print.h
version.o:	../include/Platform.h

=== Rsource/R-0.61.2/src/math/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib

OBJ=	\
	mdefs.o fsquare.o fcube.o \
	fint.o fmax.o fmin2.o imin.o imax.o fsign.o \
	round.o prec.o sign.o \
	i1mach.o d1mach.o \
	beta.o gamma.o lbeta.o lgamma.o choose.o \
	dpsifn.o digamma.o \
	sexp.o snorm.o sunif.o \
	dbeta.o pbeta.o qbeta.o rbeta.o \
	dbinom.o pbinom.o qbinom.o rbinom.o \
	dcauchy.o pcauchy.o qcauchy.o rcauchy.o \
	dchisq.o pchisq.o qchisq.o rchisq.o \
	dexp.o pexp.o qexp.o rexp.o \
	df.o pf.o qf.o rf.o \
	dgamma.o pgamma.o qgamma.o rgamma.o \
	dgeom.o pgeom.o qgeom.o rgeom.o \
	dhyper.o phyper.o qhyper.o rhyper.o \
	dlnorm.o plnorm.o qlnorm.o rlnorm.o \
	dlogis.o plogis.o qlogis.o rlogis.o \
	dnbinom.o pnbinom.o qnbinom.o rnbinom.o \
	pnchisq.o qnchisq.o \
	dnorm.o pnorm.o qnorm.o rnorm.o \
	dpois.o ppois.o qpois.o rpois.o \
	dt.o pt.o qt.o rt.o \
	dunif.o punif.o qunif.o runif.o \
	dweibull.o pweibull.o qweibull.o rweibull.o

LIB=		../lib/libmath.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

$(OBJ):		../include/Mathlib.h

clean:
		@echo cleaning in math
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in math
		@-rm -f *.o *.a Makefile

=== Rsource/R-0.61.2/src/unix/Makefile ===
# Generated automatically from Makefile.in by configure.
CC=gcc
CFLAGS=-g -I../include
AR=ar
RANLIB=ranlib
X_CFLAGS= -I/usr/X11R6/include


OBJ= \
	dataentry.o \
	devX11.o \
	devPS.o \
	dynload.o \
	edit.o \
	fileio.o \
	psx11.o \
	PostScript.o \
	devPicTeX.o \
	rotated.o \
	system.o

LIB=		../lib/libunix.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

dataentry.o:	dataentry.h dataentry.c ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c dataentry.c

fileio.o:	fileio.c ../include/Fileio.h
		$(CC) $(CFLAGS) -c fileio.c

rotated.o:	rotated.c rotated.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c rotated.c

devX11.o:	devX11.c psx11.h ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) -c devX11.c

psx11.o:	psx11.c psx11.h ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c psx11.c

devPS.o:	devPS.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c devPS.c

devPicTeX.o:	devPicTeX.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) -c devPicTeX.c

system.o:	system.c ../include/Defn.h
		$(CC) $(CFLAGS) -c system.c

clean:
		@echo cleaning in unix
		@-rm -f *.o *.a

realclean:        
		@echo cleaning in unix
		@-rm -f *.o *.a Makefile

=== Rsource/R-0.61.2/src/library/profile/Makefile ===
Rprofile:	Rprofile.unix
	@echo building system startup profile
	@cp Rprofile.unix ../../../library/base/R/Rprofile

=== Rsource/R-0.61.2/src/library/eda/src-c/Makefile ===
LIBNAME=eda
LD=ld

OBJS=	line.o \
	smooth.o

eda.so:	$(OBJS)
	@$(LD) $(SHLIBLDFLAGS) -o $(LIBNAME).so $(OBJS)

clean:
	@rm -f *.o *.so

realclean:
	@rm -f Makefile *.o *.so

=== debian/changelog ===
r-pdl (0.2-2) unstable frozen; urgency=low

  * Recompile to be compatible with currently installed
    version of pdl. (looks like magic numbers changed).

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 18 Nov 1998 04:20:15 -0700

r-pdl (0.2-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 22 Aug 1998 17:53:00 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "lapeyre@physics.arizona.edu"
End:

=== debian/control ===
Source: r-pdl
Section: math
Priority: optional
Maintainer: John Lapeyre <lapeyre@physics.arizona.edu>
Standards-Version: 2.3.0.1

Package: r-pdl
Architecture: any
Depends:  pdl
Description: 'R' statistics for the perl data language
 r-pdl is an interface to a  collection of about 
 100 routines from the R statistics language, for pdl,
 the perl data language.  The routines give information
 and random deviates from common distributions used in
 statistics.  Provisions for a user defined random 
 number generator have been added to the original R
 code.

=== debian/rules ===
#!/usr/bin/make -f
# PDL debian build rules
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.
 
package=r-pdl

ddir=`pwd`/debian/tmp

build:
	$(checkdir)
	perl Makefile.PL INSTALLDIRS=perl PREFIX=$(ddir)/usr INSTALLMAN1DIR=$(ddir)/usr/man/man1 INSTALLMAN3DIR=$(ddir)/usr/man/man3
	make CC=cc LD=cc
#	make doctest   dont make the docs do it in postinst
	touch build

clean:
	$(checkdir)
#   Restore original makefile.
#	if [ ! -e debian/perldl.conf.orig ]; \ 
#         then cp  perldl.conf  debian/perldl.conf.orig ; fi
#	cp -f debian/perldl.conf.orig perldl.conf
	-rm -f build
	-make clean
	-rm Rsource/R-0.61.2/config.cache
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
# don't want to strip this, it gets some needed sybols
#	strip --strip-unneeded blib/arch/auto/PDL/R/*.so
	make pure_install
# these scripts are not part of the distribution, but we need them for
# postinst

# install standard docs
	install -m 644 debian/README.debian  debian/tmp/usr/doc/$(package)
	install -m 644 NOTES README  debian/tmp/usr/doc/$(package)
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	-gzip -9v debian/tmp/usr/doc/$(package)/*

# but don't gzip the copyright statement
#
	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright

	chmod 644 debian/tmp/usr/man/man3/*
	gzip -9v debian/tmp/usr/man/man3/*

	dpkg-shlibdeps `ls blib/arch/auto/PDL/*/*.so`
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
